return {
    {
        "jose-elias-alvarez/null-ls.nvim",
        -- event = "BufReadPost",
        dependencies = {
            {
                "nvim-telescope/telescope-ui-select.nvim",
                lazy = true,
                config = function ()
                    -- This is your opts table
                    require("telescope").setup {
                        extensions = {
                            ["ui-select"] = {
                                -- require("telescope.themes").get_dropdown {
                                    --     -- even more opts
                                    -- }
                                }
                            }
                        }
                        require("telescope").load_extension("ui-select")
                    end,
                },
            },
        opts = function()
            local null_ls = require('null-ls')
            return {
                on_attach = function(client, bufnr)
                    local bufopts = { noremap = true, silent = true, buffer = bufnr }
                    vim.keymap.set('n', '<space>a', vim.lsp.buf.code_action, bufopts)
                end,
                sources = {
                    null_ls.builtins.diagnostics.trail_space.with{
                        disabled_filetypes = { "lua" }
                    },
                    null_ls.builtins.diagnostics.shellcheck,
                    null_ls.builtins.code_actions.shellcheck,
                },
            }
        end,
    },
}

